Delen via


Labs - List

Haal de details op voor een specifiek lab dat is gekoppeld aan de opgegeven naam van het factureringsaccount, de naam van het factureringsprofiel en de naam van de factuursectie.

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoiceSections/{invoiceSectionName}/providers/Microsoft.Education/labs?api-version=2021-12-01-preview
GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoiceSections/{invoiceSectionName}/providers/Microsoft.Education/labs?includeBudget={includeBudget}&api-version=2021-12-01-preview

URI-parameters

Name In Vereist Type Description
billingAccountName
path True

string

De id waarmee een factureringsrekening uniek wordt geïdentificeerd.

billingProfileName
path True

string

De id waarmee een factureringsprofiel uniek wordt geïdentificeerd.

invoiceSectionName
path True

string

De id waarmee een factuursectie uniek wordt geïdentificeerd.

api-version
query True

string

Versie van de API die moet worden gebruikt met de clientaanvraag. Huidige versie is 2021-12-01-preview

includeBudget
query

boolean

Kan worden gebruikt om budgetgegevens op te nemen.

Antwoorden

Name Type Description
200 OK

LabListResult

Labdetails.

Other Status Codes

ErrorResponseBody

Beschrijft de fout als de bewerking niet lukt.

Beveiliging

azure_auth

OAuth2-stroom voor Azure Active Directory.

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Name Description
user_impersonation Uw gebruikersaccount imiteren

Voorbeelden

LabListWithInvoiceSectionName
LabListWithInvoiceSectionNameIncludeBudget

LabListWithInvoiceSectionName

Voorbeeldaanvraag

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoiceSections/{invoiceSectionName}/providers/Microsoft.Education/labs?includeBudget=True&api-version=2021-12-01-preview

Voorbeeldrespons

{
  "value": [
    {
      "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoiceSections/{invoiceSectionName}/providers/Microsoft.Education/labs/default",
      "name": "default",
      "type": "Microsoft.Education/Labs",
      "properties": {
        "displayName": "example lab",
        "budgetPerStudent": {
          "currency": "USD",
          "value": 100
        },
        "description": "example lab description",
        "expirationDate": "2021-12-09T21:25:56.838Z",
        "effectiveDate": "2021-11-09T21:25:56.838Z",
        "status": "Active",
        "totalBudget": {
          "currency": "USD",
          "value": 500
        },
        "totalAllocatedBudget": {
          "currency": "USD",
          "value": 500
        }
      }
    }
  ]
}

LabListWithInvoiceSectionNameIncludeBudget

Voorbeeldaanvraag

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoiceSections/{invoiceSectionName}/providers/Microsoft.Education/labs?includeBudget=True&api-version=2021-12-01-preview

Voorbeeldrespons

{
  "value": [
    {
      "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoiceSections/{invoiceSectionName}/providers/Microsoft.Education/labs/default",
      "name": "default",
      "type": "Microsoft.Education/Labs",
      "properties": {
        "displayName": "example lab",
        "budgetPerStudent": {
          "currency": "USD",
          "value": 100
        },
        "description": "example lab description",
        "expirationDate": "2021-12-09T21:25:56.838Z",
        "effectiveDate": "2021-11-09T21:25:56.838Z",
        "status": "Active",
        "totalBudget": {
          "currency": "USD",
          "value": 500
        },
        "totalAllocatedBudget": {
          "currency": "USD",
          "value": 500
        }
      }
    }
  ]
}

Definities

Name Description
Amount

Het bedrag.

createdByType

Het type identiteit waarmee de resource is gemaakt.

ErrorResponse

Beschrijft de indeling van foutreactie.

ErrorResponseBody

Foutreactie geeft aan dat de service de binnenkomende aanvraag niet kan verwerken. De reden is opgegeven in het foutbericht.

LabDetails

Labdetails.

LabListResult

Lijst met labs.

LabStatus

De status van dit lab

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

Amount

Het bedrag.

Name Type Description
currency

string

Het type valuta dat wordt gebruikt voor de waarde.

value

number

Bedragwaarde.

createdByType

Het type identiteit waarmee de resource is gemaakt.

Waarde Description
User
Application
ManagedIdentity
Key

ErrorResponse

Beschrijft de indeling van foutreactie.

Name Type Description
code

string

Foutcode

message

string

Foutbericht dat aangeeft waarom de bewerking is mislukt.

ErrorResponseBody

Foutreactie geeft aan dat de service de binnenkomende aanvraag niet kan verwerken. De reden is opgegeven in het foutbericht.

Name Type Description
error

ErrorResponse

De details van de fout.

LabDetails

Labdetails.

Name Type Description
id

string

Volledig gekwalificeerde resource-id voor de resource. Vb.: - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

De naam van de resource

properties.budgetPerStudent

Amount

Standaardbedraglimiet voor elke leerling/student in dit lab

properties.description

string

Gedetailleerde beschrijving van dit lab

properties.displayName

string

Weergavenaam lab

properties.effectiveDate

string (date-time)

Aanmaakdatum van lab

properties.expirationDate

string (date-time)

Standaardvervaldatum voor elke leerling/student in dit lab

properties.invitationCode

string

uitnodigingscode voor inwisselbaar lab

properties.maxStudentCount

number

het totale aantal studenten dat kan worden geaccepteerd voor het lab.

properties.status

LabStatus

De status van dit lab

properties.totalAllocatedBudget.currency

string

Het type valuta dat wordt gebruikt voor de waarde.

properties.totalAllocatedBudget.value

number

Bedragwaarde.

properties.totalBudget.currency

string

Het type valuta dat wordt gebruikt voor de waarde.

properties.totalBudget.value

number

Bedragwaarde.

systemData

systemData

Azure Resource Manager-metagegevens met createdBy- en modifiedBy-gegevens.

type

string

Het type resource. Bijvoorbeeld 'Microsoft.Compute/virtualMachines' of 'Microsoft.Storage/storageAccounts'

LabListResult

Lijst met labs.

Name Type Description
nextLink

string

De koppeling (URL) naar de volgende pagina met resultaten.

value

LabDetails[]

De lijst met labs.

LabStatus

De status van dit lab

Waarde Description
Active
Deleted
Pending

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

Name Type Description
createdAt

string (date-time)

De tijdstempel van het maken van resources (UTC).

createdBy

string

De identiteit waarmee de resource is gemaakt.

createdByType

createdByType

Het type identiteit waarmee de resource is gemaakt.

lastModifiedAt

string (date-time)

De tijdstempel van de laatste wijziging van de resource (UTC)

lastModifiedBy

string

De identiteit die de resource voor het laatst heeft gewijzigd.

lastModifiedByType

createdByType

Het type identiteit dat de resource voor het laatst heeft gewijzigd.